#!/bin/sh

if [ $# -lt 1 ]
then
    echo "$0: need one data file, generated by the cif2cod program, "
    echo "on the command line."
    echo "Usage:"
    echo "    $0 cif2cod.txt"
    exit 1
fi

FILE="$1"

shift

set -x

mysql \
    --verbose \
    --password \
    --user root \
    cod \
${1+"$@"} <<EOF

LOAD DATA LOCAL INFILE '$FILE' INTO TABLE data 
CHARACTER SET utf8
FIELDS TERMINATED BY ';' ENCLOSED BY '"'
(file,pdf,a,b,c,alpha,beta,gamma,vol,nel,sg,formula,acce_code,text);

SHOW WARNINGS;

EOF
